Subject: bug#16407: Info-directory-list should always put this Emacs's info direc first

From: Glenn Morris <[email-masked]>
Date: Fri, 10 Jan 2014 16:03:22 -0500

Eli Zaretskii wrote:

> I suggest to look at a typical Debian system with several Emacs
> versions installed, and see what kind of arrangement they use.  At the
> time, this was one of the reasons for the complexity.  Maybe it no
> longer exists, I don't know.

They install the info pages into /usr/share/info/emacs-N (sensible).
And then they patch info.el so that it finds those first:

http://patch-tracker.debian.org/patch/series/view/emacs24/24.3+1-2/0001-Prefer-usr-share-info-emacs-24-over-usr-share-info.patch

So whatever info.el thought it was doing to suit Debian, it wasn't
enough anyway.

They should not have to have such a patch, it should work out of the box.

> In any case, the problem with being able to control where Emacs looks
> for the misc manuals still exists, for those Emacs packages that are
> developed and distributed separately.

I disagree that this is an issue.

1) No problem at all with package.el, before or after any change to info.el.

2) I have no data, but doubt this was a problem people were solving via
INFOPATH anyway.

3) To use a newer version of a built-in package, you have to customize
load-path. I maintain that it's fine to expect people to have to
customize Info-directory-list similarly. (Perhaps this part of info.el
should be preloaded to make this easier.)